IT: OTS (China) -0000 #493

v4.0: Logistics - Logistics & Custom - Step 2
11/28/2025 02:54 PM - Junyi Zhang

Status: oo0 Start date: 11/28/2025
Priority: aa Due date: 12/31/2025
Assignee: Junyi Zhang % Done: 50%
Category: Estimated time: 100.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. https://trello.com/c/ireiTayR/24-13-%E5%8C%85%E8%A3%85%E6%89%93%E5%8D%B0-packing-label

Task Details
¢ 1. Logistics & Custom
v4 coding standard:

1. Gitll[l
#xxx(redmine number): xxx(redmine title) - xxx(U000000)

2.0000
2.1: U00Public -> Protected -> Private
ﬁnz: 0000000sBx
3. MvcLOvanallil
3.1: v3nv4l000000000000 order.php, order_v3.php
3.2: system0000000000000user v3
- Note: frontll$this->userllv400000$this->customer, Dval0000$this->user
8.3: 000000van40000000new User V3
4. 0000
tDwig, is, css (js, css000000cssO00)

5.0000
EAVCL (LOenlcn)

6. 00
1. 000

/**

* XXX

*

* @copyright RedBlue-0TS 2024
* @version v4

*

*/

2.00000000 + DOODO

*

/

XXX

@param xxx S$xXXX
@param xxx S$xxXx
@return xxx

/

F O S A 2

12/20/2025

1/2



https://trello.com/c/ireiTayR/24-13-%E5%8C%85%E8%A3%85%E6%89%93%E5%8D%B0-packing-label

Output
® Report and Solution

Others

Related issues:
Copied from 0000 #484: v4.0: Logistics - Logistics & Custom - Step 1 0oo

09/08/2025

09/30/2025

History

#1 - 11/28/2025 02:54 PM - Junyi Zhang
- Copied from 0000 #484: v4.0: Logistics - Logistics & Custom - Step 1 added

#2 - 11/28/2025 03:00 PM - Junyi Zhang
- Due date changed from 12/05/2025 to 12/31/2025

#3 - 12/01/2025 07:39 PM - Junyi Zhang
- % Done changed from 0 to 10

Output(2025/12/08 - 2025/12/12)1 (2025/12/01 - 2025/12/05)
Function:

1.Gw,vwlI000000GwW > 24kg, vW > gwI,0vwi00000000000000n/500000n/600000
2.000000000000000000000000000a

- logistics1000ppul00000000000000000000000000000000000000peul0OOOODDOD
3.0000000000000000

- G.w.G: 00000000ew0i000000000000000GwO000000000000ewii00000000000000000G.w.cDO000O00080%

-000000000oooooooD
- Repacklpackingl 0000000000000

4. [000Gcw
-00000000cwO000000ewODO000000000000ewOO00000000
-DHHHDDDDDGW[I[I[I[I[I[I[I[I[I[IGWI]I]I]I]I]I]I]I]iI]DI]D

5.
-0000000000000DoOoooooooooOOoODOEODODODDDDDD

6.00000

#4 - 12/08/2025 06:31 PM - Junyi Zhang
- % Done changed from 10 to 50

12/20/2025

22
